# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXDisplayX, DXDisplayX8, DXDisplayX12, DXDisplayX24

Function

Displays an image in an X window.

Syntax
`
#include <dx/dx.h>
`

Object DXDisplayX(Object i, char *xdisplay, char *title)
Object DXDisplayX8(Object i, char *xdisplay, char *title)
Object DXDisplayX12(Object i, char *xdisplay, char *title)
Object DXDisplayX24(Object i, char *xdisplay, char *title)

Functional Details

Displays image `i` in an X window on the display specified by `xdisplay`, with the title specified by `title`. `xdisplay` is used as the X display string when opening the window. The window associated with `xdisplay` is maintained for subsequent calls to `DXDisplayX` until the user closes it, after which a new window is created.

These routines can utilize 8-bit pseudo color X visuals, 12-bit Direct Color and True Color visuals, and 24-bit Direct Color or True Color visuals.

`DXDisplayX` tries to create a window with the default visual, and if it is not of an appropriate type, tries to create an 8-bit, then 12-bit, then 24-bit visual. The other routines try to create the appropriate depth window first (for example, `DXDisplayX8` tries to create an 8-bit window, then tries the default window depth.

Note: | `title` cannot begin with a number or with two # characters.

Return Value

Returns `i` or returns `NULL` and sets an error code.

See Also

`DXMakeImage`

16.9 , "Image Fields".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]